#ifndef __GUIOPTIONS__
#define __GUIOPTIONS__

#include <TApplication.h> 
#include <TGClient.h>
#include <TGButton.h>
#include <TGLabel.h>
#include <RQ_OBJECT.h>
#include <TGButtonGroup.h>
#include <TSystem.h>
#include <limits.h>
#include <TGFileDialog.h>
#include <TGButtonGroup.h>
#include <TGNumberEntry.h>
#include <string.h>
#include <TGTextEntry.h>
#include <TGStatusBar.h>


#include "Test2k2Gui.h"

class GuiOptions : public TGTransientFrame {
	RQ_OBJECT("GuiOptions")
	protected:

		// group FitsDir
		TGVButtonGroup *grFitsDir;
		TGTextButton *tbChangeDir;
		TGLabel	*tltDirFits;

		// group grFitsViewer
		TGVButtonGroup *grFitsViewer;
		TGTextEntry *teViewer;
		TGTextButton *tbChangeView;
		
		// group grFitsCompression
		TGVButtonGroup *grFitsCompr;
		TGRadioButton *trbUseCompr;
		TGRadioButton *trbNoCompr;
		
		// close
		TGTextButton *tbClose;
		
		// status bar
		TGStatusBar *statusBar;


	public:	
		GuiOptions(const TGWindow *p, const TGWindow *main, UInt_t w, UInt_t h);
		virtual ~GuiOptions();
		virtual void CloseWindow();
		void changeDir();
		void setFitsViewer();
		void setNoCompr();
		void setASASCompr();
		
	ClassDef(GuiOptions,0)
};


#endif // __GUIOPTIONS__
